#ifndef __SUBJECT_H__
#define __SUBJECT_H__

#include <list>
#include "observer.h"

class Subject {
public:
	virtual ~Subject();

	virtual void Attach(Observer* o);
	virtual void Detach(Observer* o);
	virtual void Notify();
protected:
 	Subject();
private:
	std::list<Observer*> *_observers;
};

#endif