#ifndef __VIEWER_COMMON_H__
#define __VIEWER_COMMON_H__

enum DeformEditSignals {
	NONE = 0,

	// Sliders
	NUM_BONES,
	NUM_DIVISIONS,
	NUM_CORRESPONDENCES,
	MAX_CORRESP_DIST,
	MAX_NORMAL_DIFFERENCE,
	MAX_BDY_CORRESP_DIST,
	DEFORM_EM_CONSTRAINT_E_WEIGHT,
	DEFORM_EM_SMOOTHNESS_E_WEIGHT,
	SOLVER_MAX_ITERATIONS,
	ESTEP_MAX_ITERATIONS,
	DEFORM_COLORMAP_RANGE_MIN,
	DEFORM_COLORMAP_RANGE_MAX,
	DEFORM_EM_CONSTRAINT_M_WEIGHT,
	DEFORM_EM_SMOOTHNESS_M_WEIGHT,
	DEFORM_EM_UNITY_M_WEIGHT,
	DEFORM_EM_DISCRETE_M_WEIGHT,
	PROJ_MAX_ITERATIONS,
	IRLS_MAX_ITERATIONS,

	// Buttons
	OUTPUT_STATS,
	SETUP_DEFORM,
	SOLVE_DEFORM_INIT,
	SOLVE_DEFORM_TRANSFORM,
	SOLVE_DEFORM_WEIGHT,
	SOLVE_DEFORM_CORRESP,
	SOLVE_DEFORM_AUTO,
	EXPORT_DEFORM_RESULT,
	INVERSE_DEFORM,
	PAUSE_SOLVER,
	STEP_SOLVER,
	STOP_SOLVER,
	ACCUMULATE_GEOMETRY,
	REQUEST_NEXT_FRAME,
	REVERT_PREVIOUS_SOLUTION,

	// Combo Boxes & Check Boxes
	OTHER_TASKS,
	SOLVE_INITIAL_RIGID,
	SOLVE_FINAL_WEIGHTS,
	UPDATE_CORRESPONDENCE_TYPE,

	// Old stuff
	GRAPH_NODES,
	GRAPH_NEIGHBORS,
	OVERLAP_FACTOR,
	MAX_ITERATIONS_SOLVER,
	MAX_ITERATIONS_PROJECTION,
	ED_WEIGHTS_ROTATION,
	ED_WEIGHTS_SMOOTH,
	ED_WEIGHTS_CONSTRAINT,
	WD_WEIGHTS_SMOOTH,
	WD_WEIGHTS_CONSTRAINT
};

#endif
