#include <openglUtil.h>
#include <Glee.h>
#include <iostream>

void printOpenGLInfo()
{
	GLenum queryNames[] = {GL_VENDOR, GL_RENDERER, GL_VERSION, GL_SHADING_LANGUAGE_VERSION, GL_EXTENSIONS};
	const char * queryStrings[] = {"GL_VENDOR", "GL_RENDERER", "GL_VERSION", "GL_SHADING_LANGUAGE_VERSION", "GL_EXTENSIONS"};
	for (int i = 0; i < 5; ++i)
	{
		std::cout << "******** Querying " << queryStrings[i] << " ********" << std::endl;
		const GLubyte *answer = glGetString(queryNames[i]);
		std::cout << (const char*) answer << std::endl;
	}
}
